<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: TypeProc.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_type_proc_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">TypeProc.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_type_proc_8h__dep__incl.png" border="0" usemap="#_type_proc_8hdep" alt=""/></div>
<map name="_type_proc_8hdep" id="_type_proc_8hdep">
<area shape="rect" title=" " alt="" coords="33,5,125,32"/>
<area shape="rect" href="_decl_proc_8h.html" title=" " alt="" coords="34,80,125,107"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html" title=" " alt="" coords="8,155,151,181"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html" title=" " alt="" coords="5,229,153,271"/>
</map>
</div>
</div>
<p><a href="_type_proc_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ad4b771fd12a876bc2b0e55d207cc11ae"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_type_proc_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae">ReadUtf8Element</a> (bsoncxx::document::view docvw, std::string key)</td></tr>
<tr class="separator:ad4b771fd12a876bc2b0e55d207cc11ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6475dfc685f8a583f49bd17b563a37fa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa">analyzeTypes</a> (bsoncxx::builder::basic::document &amp;TypeNode, QualType Type, <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;BinOpProp, const SourceManager &amp;SourceManager)</td></tr>
<tr class="separator:a6475dfc685f8a583f49bd17b563a37fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f31e47fafc3b56fb55a8fdffa67a360"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360">DeclDisPatcher</a> (bsoncxx::builder::basic::document &amp;CallingNode, <a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a> &amp;SubLvlPrp, <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;BinOpProp, const clang::NamedDecl *ND, const SourceManager &amp;SourceManager)</td></tr>
<tr class="separator:a5f31e47fafc3b56fb55a8fdffa67a360"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac091eda49dccd0b7981e68f3620b888b"><td class="memItemLeft" align="right" valign="top">std::pair&lt; std::string, std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_type_proc_8h.html#ac091eda49dccd0b7981e68f3620b888b">getTypeOrRecordName</a> (bsoncxx::document::view docvw)</td></tr>
<tr class="separator:ac091eda49dccd0b7981e68f3620b888b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09115c0a4c2ab3ac6343a305b355ba2f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f">AnalysePointerType</a> (bsoncxx::builder::basic::document &amp;TypeNode, const SourceManager &amp;SourceManager, const clang::Type *PtrType, <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;BinOpProp)</td></tr>
<tr class="separator:a09115c0a4c2ab3ac6343a305b355ba2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78be8c7da6cc5bc953e10e693a4c3483"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483">AnalyseTypeDefType</a> (bsoncxx::builder::basic::document &amp;TypeNode, const SourceManager &amp;SourceManager, const TypedefType *PtrOnTypeDefType, <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;BinOpProp)</td></tr>
<tr class="separator:a78be8c7da6cc5bc953e10e693a4c3483"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5e15d1359d00283e2522a7158970fef"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_type_proc_8h.html#ac5e15d1359d00283e2522a7158970fef">AnalyseStructureType</a> (bsoncxx::builder::basic::document &amp;TypeNode, const SourceManager &amp;SourceManager, const clang::Type *PtrType, <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;BinOpProp)</td></tr>
<tr class="separator:ac5e15d1359d00283e2522a7158970fef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4eed1f0946c5612934477df45ec3c2de"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de">AnalyseArrayType</a> (bsoncxx::builder::basic::document &amp;TypeNode, const SourceManager &amp;SourceManager, const clang::Type *PtrType, <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;BinOpProp)</td></tr>
<tr class="separator:a4eed1f0946c5612934477df45ec3c2de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab66ba45c7dd94b7e3d4873c9cd85d281"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_type_proc_8h.html#ab66ba45c7dd94b7e3d4873c9cd85d281">AnalyseBuiltInType</a> (bsoncxx::builder::basic::document &amp;TypeNode, const SourceManager &amp;SourceManager, const clang::Type *PtrType)</td></tr>
<tr class="separator:ab66ba45c7dd94b7e3d4873c9cd85d281"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5080d20d1c8746138bb4d32306f33bb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb">AnalyseType</a> (bsoncxx::builder::basic::document &amp;TypeNode, const clang::Type *PtrType, <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;BinOpProp, const SourceManager &amp;SourceManager)</td></tr>
<tr class="separator:ae5080d20d1c8746138bb4d32306f33bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a4eed1f0946c5612934477df45ec3c2de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4eed1f0946c5612934477df45ec3c2de">&#9670;&nbsp;</a></span>AnalyseArrayType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AnalyseArrayType </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>TypeNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const clang::Type *&#160;</td>
          <td class="paramname"><em>PtrType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>BinOpProp</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_type_proc_8h_a4eed1f0946c5612934477df45ec3c2de_cgraph.png" border="0" usemap="#_type_proc_8h_a4eed1f0946c5612934477df45ec3c2de_cgraph" alt=""/></div>
<map name="_type_proc_8h_a4eed1f0946c5612934477df45ec3c2de_cgraph" id="_type_proc_8h_a4eed1f0946c5612934477df45ec3c2de_cgraph">
<area shape="rect" title=" " alt="" coords="5,676,144,703"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="192,701,303,728"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="351,575,455,601"/>
<area shape="rect" href="_type_proc_8h.html#ab66ba45c7dd94b7e3d4873c9cd85d281" title=" " alt="" coords="511,5,657,32"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="509,651,659,677"/>
<area shape="rect" href="_type_proc_8h.html#ac5e15d1359d00283e2522a7158970fef" title=" " alt="" coords="503,56,665,83"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="505,575,663,601"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="739,549,859,576"/>
<area shape="rect" href="_type_proc_8h.html#ac091eda49dccd0b7981e68f3620b888b" title=" " alt="" coords="713,676,885,703"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="1567,259,1677,285"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="2006,411,2115,437"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="2003,537,2119,564"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="1973,487,2148,513"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="1567,689,1677,716"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="1401,259,1519,285"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="933,701,1104,728"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="969,473,1069,500"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="1725,512,1925,539"/>
<area shape="rect" href="_decl_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1765,765,1885,792"/>
<area shape="rect" href="_process_location_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="1757,816,1894,843"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="1152,727,1353,769"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="1185,360,1321,387"/>
<area shape="rect" href="_decl_proc_8h.html#a04d41e256eeb951cffd2a19125abf654" title=" " alt="" coords="1767,411,1883,437"/>
<area shape="rect" href="_type_proc_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="950,752,1087,779"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_type_proc_8h_a4eed1f0946c5612934477df45ec3c2de_icgraph.png" border="0" usemap="#_type_proc_8h_a4eed1f0946c5612934477df45ec3c2de_icgraph" alt=""/></div>
<map name="_type_proc_8h_a4eed1f0946c5612934477df45ec3c2de_icgraph" id="_type_proc_8h_a4eed1f0946c5612934477df45ec3c2de_icgraph">
<area shape="rect" title=" " alt="" coords="2164,130,2303,157"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="2012,156,2116,182"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="1853,101,1964,128"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="1253,140,1371,166"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="1629,156,1780,182"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="1446,13,1555,40"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="1605,38,1805,65"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="1604,90,1805,131"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="727,140,847,166"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="521,292,679,318"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="548,89,652,116"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="552,38,648,65"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="535,140,665,166"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="557,190,643,217"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="533,241,667,268"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="337,140,473,166"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="183,114,265,141"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="5,89,111,116"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="159,52,289,78"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="1445,64,1556,90"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="895,165,995,192"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="1043,165,1179,192"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="1227,266,1397,293"/>
</map>
</div>

</div>
</div>
<a id="ab66ba45c7dd94b7e3d4873c9cd85d281"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab66ba45c7dd94b7e3d4873c9cd85d281">&#9670;&nbsp;</a></span>AnalyseBuiltInType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AnalyseBuiltInType </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>TypeNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const clang::Type *&#160;</td>
          <td class="paramname"><em>PtrType</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_type_proc_8h_ab66ba45c7dd94b7e3d4873c9cd85d281_icgraph.png" border="0" usemap="#_type_proc_8h_ab66ba45c7dd94b7e3d4873c9cd85d281_icgraph" alt=""/></div>
<map name="_type_proc_8h_ab66ba45c7dd94b7e3d4873c9cd85d281_icgraph" id="_type_proc_8h_ab66ba45c7dd94b7e3d4873c9cd85d281_icgraph">
<area shape="rect" title=" " alt="" coords="2164,227,2311,253"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="2012,227,2116,253"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="1853,151,1964,177"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="1253,183,1371,209"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="1635,8,1774,35"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="1629,227,1780,253"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="1446,125,1555,152"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="1605,176,1805,203"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="1604,59,1805,101"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="727,139,847,165"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="521,303,679,329"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="548,189,652,216"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="552,37,648,64"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="535,240,665,267"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="557,88,643,115"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="533,139,667,165"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="337,139,473,165"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="183,113,265,140"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="5,88,111,115"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="159,51,289,77"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="1445,176,1556,203"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="895,208,995,235"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="1043,208,1179,235"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="1227,5,1397,32"/>
</map>
</div>

</div>
</div>
<a id="a09115c0a4c2ab3ac6343a305b355ba2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09115c0a4c2ab3ac6343a305b355ba2f">&#9670;&nbsp;</a></span>AnalysePointerType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AnalysePointerType </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>TypeNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const clang::Type *&#160;</td>
          <td class="paramname"><em>PtrType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>BinOpProp</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_type_proc_8h_a09115c0a4c2ab3ac6343a305b355ba2f_cgraph.png" border="0" usemap="#_type_proc_8h_a09115c0a4c2ab3ac6343a305b355ba2f_cgraph" alt=""/></div>
<map name="_type_proc_8h_a09115c0a4c2ab3ac6343a305b355ba2f_cgraph" id="_type_proc_8h_a09115c0a4c2ab3ac6343a305b355ba2f_cgraph">
<area shape="rect" title=" " alt="" coords="5,676,156,703"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="204,701,315,728"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="363,575,467,601"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="527,651,665,677"/>
<area shape="rect" href="_type_proc_8h.html#ab66ba45c7dd94b7e3d4873c9cd85d281" title=" " alt="" coords="523,5,669,32"/>
<area shape="rect" href="_type_proc_8h.html#ac5e15d1359d00283e2522a7158970fef" title=" " alt="" coords="515,56,677,83"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="517,575,675,601"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="751,549,871,576"/>
<area shape="rect" href="_type_proc_8h.html#ac091eda49dccd0b7981e68f3620b888b" title=" " alt="" coords="725,676,897,703"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="1579,259,1689,285"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="2018,411,2127,437"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="2015,537,2131,564"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="1985,487,2160,513"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="1579,689,1689,716"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="1413,259,1531,285"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="945,701,1116,728"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="981,473,1081,500"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="1737,512,1937,539"/>
<area shape="rect" href="_decl_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1777,765,1897,792"/>
<area shape="rect" href="_process_location_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="1769,816,1906,843"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="1164,727,1365,769"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="1197,360,1333,387"/>
<area shape="rect" href="_decl_proc_8h.html#a04d41e256eeb951cffd2a19125abf654" title=" " alt="" coords="1779,411,1895,437"/>
<area shape="rect" href="_type_proc_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="962,752,1099,779"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_type_proc_8h_a09115c0a4c2ab3ac6343a305b355ba2f_icgraph.png" border="0" usemap="#_type_proc_8h_a09115c0a4c2ab3ac6343a305b355ba2f_icgraph" alt=""/></div>
<map name="_type_proc_8h_a09115c0a4c2ab3ac6343a305b355ba2f_icgraph" id="_type_proc_8h_a09115c0a4c2ab3ac6343a305b355ba2f_icgraph">
<area shape="rect" title=" " alt="" coords="2164,130,2315,157"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="2012,156,2116,182"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="1853,101,1964,128"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="1253,140,1371,166"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="1635,156,1774,182"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="1446,13,1555,40"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="1605,38,1805,65"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="1604,90,1805,131"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="727,140,847,166"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="521,292,679,318"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="548,89,652,116"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="552,38,648,65"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="535,140,665,166"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="557,190,643,217"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="533,241,667,268"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="337,140,473,166"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="183,114,265,141"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="5,89,111,116"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="159,52,289,78"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="1445,64,1556,90"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="895,165,995,192"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="1043,165,1179,192"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="1227,266,1397,293"/>
</map>
</div>

</div>
</div>
<a id="ac5e15d1359d00283e2522a7158970fef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5e15d1359d00283e2522a7158970fef">&#9670;&nbsp;</a></span>AnalyseStructureType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AnalyseStructureType </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>TypeNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const clang::Type *&#160;</td>
          <td class="paramname"><em>PtrType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>BinOpProp</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_type_proc_8h_ac5e15d1359d00283e2522a7158970fef_icgraph.png" border="0" usemap="#_type_proc_8h_ac5e15d1359d00283e2522a7158970fef_icgraph" alt=""/></div>
<map name="_type_proc_8h_ac5e15d1359d00283e2522a7158970fef_icgraph" id="_type_proc_8h_ac5e15d1359d00283e2522a7158970fef_icgraph">
<area shape="rect" title=" " alt="" coords="2164,227,2327,253"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="2012,227,2116,253"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="1853,151,1964,177"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="1253,183,1371,209"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="1635,8,1774,35"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="1629,227,1780,253"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="1446,125,1555,152"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="1605,176,1805,203"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="1604,59,1805,101"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="727,139,847,165"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="521,303,679,329"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="548,189,652,216"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="552,37,648,64"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="535,240,665,267"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="557,88,643,115"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="533,139,667,165"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="337,139,473,165"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="183,113,265,140"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="5,88,111,115"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="159,51,289,77"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="1445,176,1556,203"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="895,208,995,235"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="1043,208,1179,235"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="1227,5,1397,32"/>
</map>
</div>

</div>
</div>
<a id="ae5080d20d1c8746138bb4d32306f33bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5080d20d1c8746138bb4d32306f33bb">&#9670;&nbsp;</a></span>AnalyseType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AnalyseType </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>TypeNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const clang::Type *&#160;</td>
          <td class="paramname"><em>PtrType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>BinOpProp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_type_proc_8h_ae5080d20d1c8746138bb4d32306f33bb_cgraph.png" border="0" usemap="#_type_proc_8h_ae5080d20d1c8746138bb4d32306f33bb_cgraph" alt=""/></div>
<map name="_type_proc_8h_ae5080d20d1c8746138bb4d32306f33bb_cgraph" id="_type_proc_8h_ae5080d20d1c8746138bb4d32306f33bb_cgraph">
<area shape="rect" title=" " alt="" coords="5,229,109,256"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="1056,56,1195,83"/>
<area shape="rect" href="_type_proc_8h.html#ab66ba45c7dd94b7e3d4873c9cd85d281" title=" " alt="" coords="165,331,312,357"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="379,5,529,32"/>
<area shape="rect" href="_type_proc_8h.html#ac5e15d1359d00283e2522a7158970fef" title=" " alt="" coords="157,381,320,408"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="160,280,317,307"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="1681,132,1792,159"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="394,401,514,428"/>
<area shape="rect" href="_type_proc_8h.html#ac091eda49dccd0b7981e68f3620b888b" title=" " alt="" coords="368,697,540,724"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="1243,360,1353,387"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="1682,360,1791,387"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="1679,613,1795,640"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="1649,765,1824,792"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="1243,512,1353,539"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="1067,360,1184,387"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="588,177,759,204"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="623,528,723,555"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="1401,360,1601,387"/>
<area shape="rect" href="_decl_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1441,461,1561,488"/>
<area shape="rect" href="_process_location_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="1433,512,1570,539"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="807,166,1008,207"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="839,503,975,529"/>
<area shape="rect" href="_decl_proc_8h.html#a04d41e256eeb951cffd2a19125abf654" title=" " alt="" coords="1443,664,1559,691"/>
<area shape="rect" href="_type_proc_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="605,917,742,944"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_type_proc_8h_ae5080d20d1c8746138bb4d32306f33bb_icgraph.png" border="0" usemap="#_type_proc_8h_ae5080d20d1c8746138bb4d32306f33bb_icgraph" alt=""/></div>
<map name="_type_proc_8h_ae5080d20d1c8746138bb4d32306f33bb_icgraph" id="_type_proc_8h_ae5080d20d1c8746138bb4d32306f33bb_icgraph">
<area shape="rect" title=" " alt="" coords="2012,227,2116,253"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="1853,151,1964,177"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="1253,183,1371,209"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="1635,8,1774,35"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="1629,227,1780,253"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="1446,125,1555,152"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="1605,176,1805,203"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="1604,59,1805,101"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="727,139,847,165"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="521,303,679,329"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="548,189,652,216"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="552,37,648,64"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="535,240,665,267"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="557,88,643,115"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="533,139,667,165"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="337,139,473,165"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="183,113,265,140"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="5,88,111,115"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="159,51,289,77"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="1445,176,1556,203"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="895,208,995,235"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="1043,208,1179,235"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="1227,5,1397,32"/>
</map>
</div>

</div>
</div>
<a id="a78be8c7da6cc5bc953e10e693a4c3483"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78be8c7da6cc5bc953e10e693a4c3483">&#9670;&nbsp;</a></span>AnalyseTypeDefType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AnalyseTypeDefType </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>TypeNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const TypedefType *&#160;</td>
          <td class="paramname"><em>PtrOnTypeDefType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>BinOpProp</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_type_proc_8h_a78be8c7da6cc5bc953e10e693a4c3483_cgraph.png" border="0" usemap="#_type_proc_8h_a78be8c7da6cc5bc953e10e693a4c3483_cgraph" alt=""/></div>
<map name="_type_proc_8h_a78be8c7da6cc5bc953e10e693a4c3483_cgraph" id="_type_proc_8h_a78be8c7da6cc5bc953e10e693a4c3483_cgraph">
<area shape="rect" title=" " alt="" coords="5,795,163,821"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="237,448,357,475"/>
<area shape="rect" href="_type_proc_8h.html#ac091eda49dccd0b7981e68f3620b888b" title=" " alt="" coords="211,795,383,821"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="1083,397,1193,424"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="1522,347,1631,373"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="1519,144,1635,171"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="1489,245,1664,272"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="1083,473,1193,500"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="875,448,993,475"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="431,744,601,771"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="466,321,566,348"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="1241,347,1441,373"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="1521,575,1632,601"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="1712,651,1816,677"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="1876,600,2015,627"/>
<area shape="rect" href="_type_proc_8h.html#ab66ba45c7dd94b7e3d4873c9cd85d281" title=" " alt="" coords="1872,701,2019,728"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="1870,549,2021,576"/>
<area shape="rect" href="_type_proc_8h.html#ac5e15d1359d00283e2522a7158970fef" title=" " alt="" coords="1864,651,2027,677"/>
<area shape="rect" href="_decl_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1281,549,1401,576"/>
<area shape="rect" href="_process_location_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="1273,600,1410,627"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="833,745,1035,786"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="649,296,785,323"/>
<area shape="rect" href="_decl_proc_8h.html#a04d41e256eeb951cffd2a19125abf654" title=" " alt="" coords="1283,195,1399,221"/>
<area shape="rect" href="_type_proc_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="447,795,585,821"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_type_proc_8h_a78be8c7da6cc5bc953e10e693a4c3483_icgraph.png" border="0" usemap="#_type_proc_8h_a78be8c7da6cc5bc953e10e693a4c3483_icgraph" alt=""/></div>
<map name="_type_proc_8h_a78be8c7da6cc5bc953e10e693a4c3483_icgraph" id="_type_proc_8h_a78be8c7da6cc5bc953e10e693a4c3483_icgraph">
<area shape="rect" title=" " alt="" coords="2140,222,2297,249"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="1988,138,2092,165"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="1829,138,1940,165"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="1229,78,1347,105"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="1611,37,1750,63"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="1605,255,1756,282"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="1422,53,1531,79"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="1581,138,1781,165"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="1580,189,1781,231"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="703,179,823,206"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="536,129,640,155"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="540,281,636,307"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="523,179,653,206"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="545,230,631,257"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="521,78,655,105"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="337,179,473,206"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="183,186,265,213"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="5,223,111,250"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="159,249,289,275"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="1421,103,1532,130"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="871,154,971,181"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="1019,103,1155,130"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="1203,255,1373,282"/>
</map>
</div>

</div>
</div>
<a id="a6475dfc685f8a583f49bd17b563a37fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6475dfc685f8a583f49bd17b563a37fa">&#9670;&nbsp;</a></span>analyzeTypes()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void analyzeTypes </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>TypeNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QualType&#160;</td>
          <td class="paramname"><em>Type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>BinOpProp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_type_proc_8h_a6475dfc685f8a583f49bd17b563a37fa_cgraph.png" border="0" usemap="#_type_proc_8h_a6475dfc685f8a583f49bd17b563a37fa_cgraph" alt=""/></div>
<map name="_type_proc_8h_a6475dfc685f8a583f49bd17b563a37fa_cgraph" id="_type_proc_8h_a6475dfc685f8a583f49bd17b563a37fa_cgraph">
<area shape="rect" title=" " alt="" coords="5,220,116,247"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="164,195,268,221"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="328,43,467,69"/>
<area shape="rect" href="_type_proc_8h.html#ab66ba45c7dd94b7e3d4873c9cd85d281" title=" " alt="" coords="324,93,471,120"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="322,296,473,323"/>
<area shape="rect" href="_type_proc_8h.html#ac5e15d1359d00283e2522a7158970fef" title=" " alt="" coords="316,144,479,171"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="319,245,476,272"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="553,499,673,525"/>
<area shape="rect" href="_type_proc_8h.html#ac091eda49dccd0b7981e68f3620b888b" title=" " alt="" coords="527,144,699,171"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="1380,347,1491,373"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="1819,448,1929,475"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="1816,549,1932,576"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="1787,651,1961,677"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="1381,727,1490,753"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="1215,347,1332,373"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="747,752,917,779"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="782,499,882,525"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="1539,448,1739,475"/>
<area shape="rect" href="_decl_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1579,803,1699,829"/>
<area shape="rect" href="_process_location_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="1570,853,1707,880"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="965,778,1167,819"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="998,448,1134,475"/>
<area shape="rect" href="_decl_proc_8h.html#a04d41e256eeb951cffd2a19125abf654" title=" " alt="" coords="1581,549,1697,576"/>
<area shape="rect" href="_type_proc_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="763,144,901,171"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_type_proc_8h_a6475dfc685f8a583f49bd17b563a37fa_icgraph.png" border="0" usemap="#_type_proc_8h_a6475dfc685f8a583f49bd17b563a37fa_icgraph" alt=""/></div>
<map name="_type_proc_8h_a6475dfc685f8a583f49bd17b563a37fa_icgraph" id="_type_proc_8h_a6475dfc685f8a583f49bd17b563a37fa_icgraph">
<area shape="rect" title=" " alt="" coords="1853,171,1964,197"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="1635,44,1774,71"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="1629,145,1780,172"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="1446,247,1555,273"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="1605,196,1805,223"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="1604,298,1805,339"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="1449,95,1553,121"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="1253,95,1371,121"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="1043,95,1179,121"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="727,171,847,197"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="895,196,995,223"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="521,5,679,32"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="548,120,652,147"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="552,69,648,96"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="535,171,665,197"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="557,221,643,248"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="533,272,667,299"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="337,171,473,197"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="183,145,265,172"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="5,120,111,147"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="159,83,289,109"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="1445,145,1556,172"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="1227,300,1397,327"/>
</map>
</div>

</div>
</div>
<a id="a5f31e47fafc3b56fb55a8fdffa67a360"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f31e47fafc3b56fb55a8fdffa67a360">&#9670;&nbsp;</a></span>DeclDisPatcher()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DeclDisPatcher </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::builder::basic::document &amp;&#160;</td>
          <td class="paramname"><em>CallingNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>SubLvlPrp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &amp;&#160;</td>
          <td class="paramname"><em>BinOpProp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const clang::NamedDecl *&#160;</td>
          <td class="paramname"><em>ND</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const SourceManager &amp;&#160;</td>
          <td class="paramname"><em>SourceManager</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_type_proc_8h_a5f31e47fafc3b56fb55a8fdffa67a360_cgraph.png" border="0" usemap="#_type_proc_8h_a5f31e47fafc3b56fb55a8fdffa67a360_cgraph" alt=""/></div>
<map name="_type_proc_8h_a5f31e47fafc3b56fb55a8fdffa67a360_cgraph" id="_type_proc_8h_a5f31e47fafc3b56fb55a8fdffa67a360_cgraph">
<area shape="rect" title=" " alt="" coords="5,457,125,483"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="825,355,936,382"/>
<area shape="rect" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77" title=" " alt="" coords="1265,457,1374,483"/>
<area shape="rect" href="recursive_hierarch_search_8hpp.html#a6c3aafef43e91acd0d2542ea2c5337ac" title=" " alt="" coords="1261,558,1377,585"/>
<area shape="rect" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21" title=" " alt="" coords="1232,381,1407,407"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="826,254,935,281"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="618,609,735,635"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="173,51,344,78"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="209,457,309,483"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="984,355,1184,382"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="1264,330,1375,357"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="1455,431,1559,458"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="1619,330,1757,357"/>
<area shape="rect" href="_type_proc_8h.html#ab66ba45c7dd94b7e3d4873c9cd85d281" title=" " alt="" coords="1615,431,1761,458"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="1613,381,1763,407"/>
<area shape="rect" href="_type_proc_8h.html#ac5e15d1359d00283e2522a7158970fef" title=" " alt="" coords="1607,482,1769,509"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="1609,659,1767,686"/>
<area shape="rect" href="_type_proc_8h.html#ac091eda49dccd0b7981e68f3620b888b" title=" " alt="" coords="1817,659,1989,686"/>
<area shape="rect" href="_type_proc_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="2037,659,2175,686"/>
<area shape="rect" href="_decl_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="1024,203,1144,230"/>
<area shape="rect" href="_process_location_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="1015,254,1153,281"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="576,5,777,47"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="392,507,528,534"/>
<area shape="rect" href="_decl_proc_8h.html#a04d41e256eeb951cffd2a19125abf654" title=" " alt="" coords="1026,457,1142,483"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_type_proc_8h_a5f31e47fafc3b56fb55a8fdffa67a360_icgraph.png" border="0" usemap="#_type_proc_8h_a5f31e47fafc3b56fb55a8fdffa67a360_icgraph" alt=""/></div>
<map name="_type_proc_8h_a5f31e47fafc3b56fb55a8fdffa67a360_icgraph" id="_type_proc_8h_a5f31e47fafc3b56fb55a8fdffa67a360_icgraph">
<area shape="rect" title=" " alt="" coords="1539,518,1659,544"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="1333,282,1491,308"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="1360,619,1464,646"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="1364,771,1460,798"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="1347,670,1477,696"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="1369,720,1455,747"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="1345,568,1479,595"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="1165,198,1269,224"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="981,248,1091,275"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="337,71,455,98"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="753,198,891,224"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="747,147,897,174"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="533,299,643,326"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="722,248,922,275"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="721,350,923,392"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="533,46,643,72"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="5,248,105,275"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="153,122,289,148"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="503,412,673,439"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="1149,670,1285,696"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="995,676,1077,703"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="769,707,875,734"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="971,739,1101,766"/>
</map>
</div>

</div>
</div>
<a id="ac091eda49dccd0b7981e68f3620b888b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac091eda49dccd0b7981e68f3620b888b">&#9670;&nbsp;</a></span>getTypeOrRecordName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;std::string,std::string&gt; getTypeOrRecordName </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::document::view&#160;</td>
          <td class="paramname"><em>docvw</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_type_proc_8h_ac091eda49dccd0b7981e68f3620b888b_cgraph.png" border="0" usemap="#_type_proc_8h_ac091eda49dccd0b7981e68f3620b888b_cgraph" alt=""/></div>
<map name="_type_proc_8h_ac091eda49dccd0b7981e68f3620b888b_cgraph" id="_type_proc_8h_ac091eda49dccd0b7981e68f3620b888b_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,177,32"/>
<area shape="rect" href="_type_proc_8h.html#ad4b771fd12a876bc2b0e55d207cc11ae" title=" " alt="" coords="225,5,363,32"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_type_proc_8h_ac091eda49dccd0b7981e68f3620b888b_icgraph.png" border="0" usemap="#_type_proc_8h_ac091eda49dccd0b7981e68f3620b888b_icgraph" alt=""/></div>
<map name="_type_proc_8h_ac091eda49dccd0b7981e68f3620b888b_icgraph" id="_type_proc_8h_ac091eda49dccd0b7981e68f3620b888b_icgraph">
<area shape="rect" title=" " alt="" coords="2345,222,2517,249"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="2140,222,2297,249"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="1988,138,2092,165"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="1829,138,1940,165"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="1229,78,1347,105"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="1611,37,1750,63"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="1605,255,1756,282"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="1422,53,1531,79"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="1581,138,1781,165"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="1580,189,1781,231"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="703,179,823,206"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="536,129,640,155"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="540,281,636,307"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="523,179,653,206"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="545,230,631,257"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="521,78,655,105"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="337,179,473,206"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="183,186,265,213"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="5,223,111,250"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="159,249,289,275"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="1421,103,1532,130"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="871,154,971,181"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="1019,103,1155,130"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="1203,255,1373,282"/>
</map>
</div>

</div>
</div>
<a id="ad4b771fd12a876bc2b0e55d207cc11ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4b771fd12a876bc2b0e55d207cc11ae">&#9670;&nbsp;</a></span>ReadUtf8Element()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string ReadUtf8Element </td>
          <td>(</td>
          <td class="paramtype">bsoncxx::document::view&#160;</td>
          <td class="paramname"><em>docvw</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>key</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_type_proc_8h_ad4b771fd12a876bc2b0e55d207cc11ae_icgraph.png" border="0" usemap="#_type_proc_8h_ad4b771fd12a876bc2b0e55d207cc11ae_icgraph" alt=""/></div>
<map name="_type_proc_8h_ad4b771fd12a876bc2b0e55d207cc11ae_icgraph" id="_type_proc_8h_ad4b771fd12a876bc2b0e55d207cc11ae_icgraph">
<area shape="rect" title=" " alt="" coords="2565,222,2703,249"/>
<area shape="rect" href="_type_proc_8h.html#ac091eda49dccd0b7981e68f3620b888b" title=" " alt="" coords="2345,222,2517,249"/>
<area shape="rect" href="_type_proc_8h.html#a78be8c7da6cc5bc953e10e693a4c3483" title=" " alt="" coords="2140,222,2297,249"/>
<area shape="rect" href="_type_proc_8h.html#ae5080d20d1c8746138bb4d32306f33bb" title=" " alt="" coords="1988,138,2092,165"/>
<area shape="rect" href="_type_proc_8h.html#a6475dfc685f8a583f49bd17b563a37fa" title=" " alt="" coords="1829,138,1940,165"/>
<area shape="rect" href="_decl_proc_8h.html#a45cceb4fcef384f85e1c10274c240dc1" title=" " alt="" coords="1229,78,1347,105"/>
<area shape="rect" href="_type_proc_8h.html#a4eed1f0946c5612934477df45ec3c2de" title=" " alt="" coords="1611,37,1750,63"/>
<area shape="rect" href="_type_proc_8h.html#a09115c0a4c2ab3ac6343a305b355ba2f" title=" " alt="" coords="1605,255,1756,282"/>
<area shape="rect" href="_decl_proc_8h.html#ab38ac3e115c112a92798d1bde32ed22d" title=" " alt="" coords="1422,53,1531,79"/>
<area shape="rect" href="_decl_proc_8h.html#a93970f3b00cf4f70b0eadb2f100c5034" title=" " alt="" coords="1581,138,1781,165"/>
<area shape="rect" href="_decl_proc_8h.html#a21232d055ec5d99ccaf9029ee5654848" title=" " alt="" coords="1580,189,1781,231"/>
<area shape="rect" href="_type_proc_8h.html#a5f31e47fafc3b56fb55a8fdffa67a360" title=" " alt="" coords="703,179,823,206"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794" title=" " alt="" coords="536,129,640,155"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7" title=" " alt="" coords="540,281,636,307"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a0a2ab7ebf84ec2c05077ee68fc8e132c" title=" " alt="" coords="523,179,653,206"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#aa46acd7e90d1797e3eb0ce791ee48f61" title=" " alt="" coords="545,230,631,257"/>
<area shape="rect" href="_decl_ref_expr_proc_8h.html#a9c91ca84f5245f7e0359cda6c2b893d7" title=" " alt="" coords="521,78,655,105"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#a89adee888d6cc38fc2aea0ca806daf26" title=" " alt="" coords="337,179,473,206"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#a1ff72b2499b59575e71d981e505c3fe7" title=" " alt="" coords="183,186,265,213"/>
<area shape="rect" href="refactor-powertrain-controls_8cpp.html#aa2769bd361a055223291fb5ce308f7d9" title=" " alt="" coords="5,223,111,250"/>
<area shape="rect" href="_stmt_proc_dispatcher_8h.html#ae364a6155195062d852e4839fa36732a" title=" " alt="" coords="159,249,289,275"/>
<area shape="rect" href="_decl_proc_8h.html#a76cf24d93902e040ec03c2d5d5080d9d" title=" " alt="" coords="1421,103,1532,130"/>
<area shape="rect" href="_decl_proc_8h.html#a6f02fe5969c9a38f99703a3a29b776d6" title=" " alt="" coords="871,154,971,181"/>
<area shape="rect" href="_decl_proc_8h.html#a9822762d5d3da96429cc8eb537152f0e" title=" " alt="" coords="1019,103,1155,130"/>
<area shape="rect" href="_decl_proc_8h.html#a745102550bf2062df80f1291adc0378d" title=" " alt="" coords="1203,255,1373,282"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="_type_proc_8h.html">TypeProc.h</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
